FireGuardApi reference

Create or reuse a Copilot conversation

Link a Microsoft Copilot conversation ID to a FireGuard conversation.

POST
/conversation_copilot

Link a Microsoft Copilot conversation ID to a FireGuard conversation.

Authorization

ApiKeyAuth
X-Api-Key<token>

FireGuard organization API key.

In: header

Query Parameters

project_id*string

Project ID from the FireGuard project settings.

conversation_copilot_id*string

The conversation identifier from Microsoft Copilot.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/conversation_copilot?project_id=string&conversation_copilot_id=string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "description": "string",  "created_at": "2019-08-24T14:15:22Z",  "is_client": true}